com.ihr.xbrl.om.errors

## Class LinkableErrorMessageHelpers

- java.lang.Object
- - com.ihr.xbrl.om.errors.LinkableErrorMessageHelpers

-     public class LinkableErrorMessageHelpers
      extends java.lang.Object

  Helper functions for formatting error messages in HTML.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinkableErrorMessageHelpers()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getHierarchicalMessage(MessageTree tree, XBRLFactItem factItem, KeysForFactsProvider kp)` Generates a tree the user can click on and open additional messages behind.
    `static java.lang.String` | `getLinkForFact(XBRLFact fact, XBRLRoleType role, KeysForFactsProvider kp)` Gets the link for fact.
    `static java.lang.String` | `getLinkForFact(XBRLFact fact, XBRLRoleType role, KeysForFactsProvider kp, int modifiers, LabelsProvider lp)` Gets the link for fact.
    `static java.lang.String` | `getLinkForFixReplaceReportedValueWithCalculatedValue(XBRLFactNumeric fact, XBRLNumber accumulated, KeysForFactsProvider kp)` Generates a form with a button that shows a message to replace reported value with accumulated value.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LinkableErrorMessageHelpers

          public LinkableErrorMessageHelpers()

  - ### Method Detail

    - #### getLinkForFact

          public static java.lang.String getLinkForFact(XBRLFact fact,
                                        XBRLRoleType role,
                                        KeysForFactsProvider kp)

      Gets the link for fact.
      Parameters:
        `fact` - the fact
        `role` - where the fact could be found (hint, may be null)
        `kp` - the kp
      Returns:
        String

    - #### getLinkForFact

          public static java.lang.String getLinkForFact(XBRLFact fact,
                                        XBRLRoleType role,
                                        KeysForFactsProvider kp,
                                        int modifiers,
                                        LabelsProvider lp)

      Gets the link for fact.
      Parameters:
        `fact` - the fact
        `role` - the role
        `kp` - the kp
        `modifiers` - the modifiers
        `lp` - the lp
      Returns:
        String

    - #### getHierarchicalMessage

          public static java.lang.String getHierarchicalMessage(MessageTree tree,
                                                XBRLFactItem factItem,
                                                KeysForFactsProvider kp)

      Generates a tree the user can click on and open additional messages behind.
      Parameters:
        `tree` - the tree
        `factItem` - the fact item
        `kp` - the kp
      Returns:
        the hierarchical message

    - #### getLinkForFixReplaceReportedValueWithCalculatedValue

          public static java.lang.String getLinkForFixReplaceReportedValueWithCalculatedValue(XBRLFactNumeric fact,
                                                                              XBRLNumber accumulated,
                                                                              KeysForFactsProvider kp)

      Generates a form with a button that shows a message to replace reported value with accumulated value.
      Parameters:
        `fact` - the fact
        `accumulated` - the accumulated
        `kp` - the kp
      Returns:
        the link for fix replace reported value with calculated value